# Module Import
import cegodb

# Create Connection Pool
def create_connection_pool():
    """Creates and returns a Connection Pool"""

    # Create Connection Pool
    pool = cegodb.ConnectionPool(
      host="localhost",
      port=2200,
      database="TS1",
      user="lemke",
      password="lemke",
      pool_name="web-app",
      pool_size=10)

    # Return Connection Pool
    return pool

# Print List of Contacts
def print_table(cur):

    # init table data
    tabdata = []
    
    # execute select
    cur.execute("select a as a1, b as a2 from t1;")

    # retrieve data
    for ( a, b ) in cur:
        tabdata.append(f"{a} {b}")
        
    # list data
    print("Results :")
    print("\n".join(tabdata))


# Establish Pool Connection
try:
    pool=create_connection_pool()
    pconn = pool.get_connection()

    # Instantiate Cursor
    cur = pconn.cursor()

    cur.execute("drop if exists table t1;");
    cur.execute("create table t1 ( a int, b string(20));");
    
    cur.execute("insert into t1 values ( ?, ? );", ( 42, 'Hello you') )
    cur.execute("insert into t1 values ( ?, ? );", ( 43, 'Hello me') )
    
    print_table(cur)
    pconn.close()
    

except cegodb.PoolError as e:
   # Report Error
   print(f"Error opening connection from pool: {e}")

