# Module Import
import cegodb
import sys
import dbcon

# Print List of Contacts
def print_table(cur):

    # init table data
    tabdata = []
    
    # execute select
    cur.execute("select a as a1, b as a2 from t1;")

    # retrieve data
    for ( a, b ) in cur:
        tabdata.append(f"{a} {b}")
        
    # list data
    print("Results :")
    print("\n".join(tabdata))


print(f"Connecting to database ...")

myconn = dbcon.db_connect()

print(f"Creating cursor ...")
# Instantiate Cursor
cur = myconn.cursor()

cur.execute("drop if exists table t1;");
cur.execute("create table t1 ( a int, b string(20));");
    
cur.execute("insert into t1 values ( ?, ? );", ( 42, 'Hello you') )
cur.execute("insert into t1 values ( ?, ? );", ( 43, 'Hello me') )
    
print_table(cur)
        
print(f"Disconnecting database ...")
dbcon.db_disconnect(myconn)

