# Module Import
import cegodb
import sys
import datetime
from  dbcon import db_connect, db_disconnect

print(f"Connecting to database ...")

try:
    myconn = db_connect()

    print(f"Creating cursor ...")
    # Instantiate Cursor
    
    cur = myconn.cursor()

    cur.execute("drop if exists table t1;");
    cur.execute("create table t1 ( a int, b string(20));");
    
    print(f"Starting transaction ...")
    myconn.begin()
    
    print(f"Perform insert ...")
    cur.execute("insert into t1 values ( ?, ? );", ( 42, 'Hello world') )
    cur.close()
    print(f"Commiting transaction ...")
    myconn.commit()
    
    print(f"Disconnecting database ...")
    db_disconnect(myconn)

except cegodb.Error as err:
        
    print(f"{type(err).__name__} was raised: {err}")
    sys.exit(1)

